Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class DbTimestampType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.NullableType
              org.hibernate.type.MutableType
                  org.hibernate.type.TimestampType
                      org.hibernate.type.DbTimestampType

All Implemented Interfaces:
  Serializable, LiteralType, Type, VersionType

    public class DbTimestampType

extends TimestampType
implements VersionType

`dbtimestamp`: An extension of `TimestampType` which maps to the database's current timestamp, rather than the jvm's current timestamp.

Note: May/may-not cause issues on dialects which do not properly support a true notion of timestamp (Oracle < 8, for example, where only its DATE datatype is supported). Depends on the frequency of DML operations...

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`DbTimestampType()`

Method Summary
`String` | `getName()` Returns the abbreviated name of the type.
`Object` | `seed(SessionImplementor session)` Generate an initial version.

Methods inherited from class org.hibernate.type.TimestampType
`deepCopyNotNull, fromStringValue, get, getComparator, getHashCode, getReturnedClass, isEqual, next, objectToSQLString, set, sqlType, toString`

Methods inherited from class org.hibernate.type.MutableType
`deepCopy, isMutable, replace`

Methods inherited from class org.hibernate.type.NullableType
`fromXMLNode, fromXMLString, getColumnSpan, isDirty, isEqual, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, nullSafeSet, nullSafeToString, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, compare, disassemble, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.VersionType
`getComparator, isEqual, next`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, compare, deepCopy, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Constructor Detail

### DbTimestampType

    public DbTimestampType()

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Overrides:
    `getName` in class `TimestampType`
  Returns:
    String the Hibernate type name

### seed

    public Object seed(SessionImplementor session)

  Description copied from interface: `VersionType`
  Generate an initial version.

  Specified by:
    `seed` in interface `VersionType`
  Overrides:
    `seed` in class `TimestampType`
  Parameters:
    `session` - The session from which this request originates.
  Returns:
    an instance of the type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD